### Method

# Gtk TextBuffer create_child_anchor

#### Declaration [src]

    GtkTextChildAnchor*
    gtk_text_buffer_create_child_anchor (
      GtkTextBuffer* buffer,
      GtkTextIter* iter
    )

#### Description [src]

Creates and inserts a child anchor.

This is a convenience function which simply creates a child anchor with gtk_text_child_anchor_new() and inserts it into the buffer with gtk_text_buffer_insert_child_anchor().

The new anchor is owned by the buffer; no reference count is returned to the caller of this function.

#### Parameters

`iter` | `GtkTextIter`
| Location in the buffer.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GtkTextChildAnchor`
| The created child anchor.
| The data is owned by the instance.